Subject: [DMVR] Sept. Rally to Dubuque/Galena

From: "Rhett Farnum" <[email-masked]>
Date: Sun, 10 Aug 2003 22:17:39 -0500

I would love to ralley this!! I'm from dubuque ad when I'm headed home its 
usually a get ther as fast as possible w/o any stops. This would be kind of 
exciting if we take some non-traditional routes.

tony or Rick, add me to the list!! I may have a navigator also we will see.

Peace Out,
Rhett
Rocco_crossing
'83 Rocco (autocross ready, tune up, install harness, and finally I may get 
to makeing it look better!!)

_________________________________________________________________
The new MSN 8: advanced junk mail protection and 2 months FREE*  
http://join.msn.com/?page=features/junkmail